GNU bug report logs - #26587
26.0.50; Gnus signs with false S/MIME key

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: Torsten Bronger <bronger@HIDDEN>; Keywords: fixed security; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 4 Aug 2020 10:32:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 06:32:01 2020
Received: from localhost ([127.0.0.1]:46945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2uEi-0003UD-NG
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:32:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2uEg-0003OG-PG
 for 26587 <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:31:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=nr59b1X4x3hULwtggWpToL9mGzmEnMMAZe7WXB/DIzc=; b=srFAES5XaZ+Pieh2wNBXU7oJ3G
 Oym0I2ONo5B5OmpecsoV6UAR6Q2egRBMHXfe9b0OpjFvPvT53SCfdYg7qBUJqZNhBv9cybXUHds+D
 cj+GOkDiPM+hF7cHKy7q23FO8/m0EiS2Y1BAQrkOOsQPuxF8fdwFwEa3i5y8Hv5nJcEw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2uEX-0006in-BY; Tue, 04 Aug 2020 12:31:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN> <87sgo14rmh.fsf@HIDDEN>
 <87y2xtqc3k.fsf@HIDDEN> <87tv8foi4b.fsf@HIDDEN>
 <87eeomsrxf.fsf@HIDDEN> <m2zh7a90xv.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 12:31:47 +0200
In-Reply-To: <m2zh7a90xv.fsf@HIDDEN> (Robert Pluim's message of "Tue, 04
 Aug 2020 12:10:04 +0200")
Message-ID: <87d046pur0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > It does bug out,
    but its error message is not helpful. I have a patch > somewhere to improve
    it, but I guess itʼs too late for 27.1 I'm guessing there will be a 27.2
    release, too. :-) 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org, Torsten Bronger <bronger@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> It does bug out, but its error message is not helpful. I have a patch
> somewhere to improve it, but I guess it=CA=BCs too late for 27.1

I'm guessing there will be a 27.2 release, too.  :-)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 4 Aug 2020 10:10:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 06:10:17 2020
Received: from localhost ([127.0.0.1]:46897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2ttg-0007Pc-SY
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:10:17 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:45704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2tte-0007PO-LU
 for 26587 <at> debbugs.gnu.org; Tue, 04 Aug 2020 06:10:15 -0400
Received: by mail-wr1-f42.google.com with SMTP id z18so33270971wrm.12
 for <26587 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 03:10:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=oFXjYnpMpgn41vN5FDU2g2g4bwWzpfmKu5VZoQQtQ68=;
 b=YdLlSdTPo/wZjPfuyqN34G1+D0cj5GVS/cQ6eQkTFXx1QJMC80PtHAr6Qhp7GtBMJc
 Wvz3qN6xaee1jhW9xk39AFvgJt2ZJefFxiqM1d/VMH7TuE93hgfCUSzbm4g1bjL0npiR
 q/VZ4b7J40/E7SxySHN/zW4Rym68F4S9hVrKcvKN/YurumdNAe2CiZ8HViN37zkINdaS
 0byesQekHz4euXT/Hp2uzc1+MH2ayOX/XRfJOXfjdredD7sXO9SEJNjvnXqM6yEBdefr
 aoAzALvr2MGN74L+/008FfPMIPgwW/Xvrqn0lKqGGPcS/mQLqjsM/gU3bc2ktCh+iuvE
 xEAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=oFXjYnpMpgn41vN5FDU2g2g4bwWzpfmKu5VZoQQtQ68=;
 b=owHjb1+HJrySJ8gurChgNFBVJA3xHKawrCdcxwAeWiPH8jhSWKsSiT45DmO7MeKuCT
 BjozT5g88hgTjv0B5VVUMi5uEOLTHqVa3Bfff8G9c90NypExVTCd8OjqkWhXKUOHWOae
 q84whaG+CpvlMN0jrDguRKWHcK3CxvqciJ57oquNw0Nv3hf79j+gBvluoAeaSRo2ghyt
 3g4r2CrP4COci2ymY1k2D3ADYuDeSeHHRJvxLoGjot5KmbGwGNWzEvTpzbMxRmbzhmaQ
 MMiIsZzo8AWcTt4iPv4qmGAzjcDlxtrwpvHhRgC9W5/bTI92KpUqmP/83WAEaWPLRtgi
 GWgg==
X-Gm-Message-State: AOAM533uUnBjX+DKpaD3ktfdGONvrzEBes/3oUYkGHT3T7UUVm3U/aLM
 k220reWX1XH0dTXHN8LavISML9d6
X-Google-Smtp-Source: ABdhPJxl4Dwn8Bm6U4QmyDSLyCwZqOM/SAv3qchYgPaO3X1nOEsDnlVAZoa0c9aZSOH5zjJn5/Tr5w==
X-Received: by 2002:adf:ef08:: with SMTP id e8mr19975637wro.164.1596535807558; 
 Tue, 04 Aug 2020 03:10:07 -0700 (PDT)
Received: from rpluim-mac (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id p22sm3608227wmc.38.2020.08.04.03.10.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 04 Aug 2020 03:10:06 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN> <87sgo14rmh.fsf@HIDDEN>
 <87y2xtqc3k.fsf@HIDDEN> <87tv8foi4b.fsf@HIDDEN>
 <87eeomsrxf.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 12:10:04 +0200
In-Reply-To: <87eeomsrxf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 11:04:28 +0200")
Message-ID: <m2zh7a90xv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org, Torsten Bronger <bronger@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 04 Aug 2020 11:04:28 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Lars Ingebrigtsen <larsi@HIDDEN> writes:
    >> Torsten Bronger <bronger@HIDDEN> writes:
    >>=20
    >>>> mml-secure-smime-sign-with-sender defaults to nil, so it's normall=
y not
    >>>> used.  So this returns just the value of mml-secure-smime-signers.
    >>>> What's that variable for you?
    >>>=20
    >>> It=E2=80=99s nil, and if I set it to t, my problem is gone.  Thank =
you!
    >>> Strange default, though =E2=80=A6
    >>=20
    >> Yes it is.  Does anybody know why mml-secure-smime-sign-with-sender =
is
    >> nil?  Having it be t seems like a much more useful (and less surpris=
ing)
    >> value.

    Lars> I think this problem was solved by having Message bug out (and sa=
y that
    Lars> you should set mml-secure-smime-sign-with-sender if you wanted th=
at), so
    Lars> I'm closing this bug report.

It does bug out, but its error message is not helpful. I have a patch
somewhere to improve it, but I guess it=CA=BCs too late for 27.1

Robert




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.
bug marked as fixed in version 27.1, send any further explanations to 26587 <at> debbugs.gnu.org and Torsten Bronger <bronger@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 4 Aug 2020 09:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 05:04:42 2020
Received: from localhost ([127.0.0.1]:46770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2ssD-0007Vk-TU
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 05:04:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2ssB-0007VW-UC
 for 26587 <at> debbugs.gnu.org; Tue, 04 Aug 2020 05:04:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=XSjOzcVxxa5u9UOhaqycfXyNUhKv4TPHWwq0UmQcz28=; b=i2fsFJto2zDqFuVBnFgpDlNPXQ
 TFOFfrAyCaxed3nNv+zpgPDHasUYcwcKkJzGa8Uxm8ITpo2MwRbBjBnt78n55q8mKWEr7C56z0Hf8
 k2mJwjhoV3tJ0qVoKVR0mX6yYsni4paAKECTagM+/a97DZ4VQ5cQUs+hpupQ1wUsSRvk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2ss2-0005yU-1H; Tue, 04 Aug 2020 11:04:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Torsten Bronger <bronger@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN> <87sgo14rmh.fsf@HIDDEN>
 <87y2xtqc3k.fsf@HIDDEN> <87tv8foi4b.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 11:04:28 +0200
In-Reply-To: <87tv8foi4b.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 11 Oct 2019 09:29:08 +0200")
Message-ID: <87eeomsrxf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Torsten Bronger
 <bronger@HIDDEN> writes: > >>>
 mml-secure-smime-sign-with-sender
 defaults to nil, so it's normally not >>> used. So this returns just the
 value of mml-secure-smime-sig [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Torsten Bronger <bronger@HIDDEN> writes:
>
>>> mml-secure-smime-sign-with-sender defaults to nil, so it's normally not
>>> used.  So this returns just the value of mml-secure-smime-signers.
>>> What's that variable for you?
>>
>> It=E2=80=99s nil, and if I set it to t, my problem is gone.  Thank you!
>> Strange default, though =E2=80=A6
>
> Yes it is.  Does anybody know why mml-secure-smime-sign-with-sender is
> nil?  Having it be t seems like a much more useful (and less surprising)
> value.

I think this problem was solved by having Message bug out (and say that
you should set mml-secure-smime-sign-with-sender if you wanted that), so
I'm closing this bug report.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 11 Oct 2019 07:30:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 11 03:30:05 2019
Received: from localhost ([127.0.0.1]:57609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIpNE-0001uo-CP
	for submit <at> debbugs.gnu.org; Fri, 11 Oct 2019 03:30:04 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iIpNC-0001u2-S0
 for 26587 <at> debbugs.gnu.org; Fri, 11 Oct 2019 03:30:03 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iIpN9-0001no-7v; Fri, 11 Oct 2019 09:30:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Torsten Bronger <bronger@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN> <87pnj53b2q.fsf@HIDDEN>
 <877e5d6qe3.fsf@HIDDEN>
Date: Fri, 11 Oct 2019 09:29:58 +0200
In-Reply-To: <877e5d6qe3.fsf@HIDDEN> (Torsten Bronger's message
 of "Thu, 10 Oct 2019 08:55:32 +0200")
Message-ID: <87pnj3oi2x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Torsten Bronger <bronger@HIDDEN> writes: >
   I don’t know how to edebug, so before learning this, I wrote a > wrapper
    for gpgsm, logging the parameters. When sending the > message, gpgsm is called
    once, with the parameters > > gpgsm --no-tty [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Torsten Bronger <bronger@HIDDEN> writes:

> I don=E2=80=99t know how to edebug, so before learning this, I wrote a
> wrapper for gpgsm, logging the parameters.  When sending the
> message, gpgsm is called once, with the parameters
>
> gpgsm --no-tty --status-fd 1 --yes --output /tmp/epg-outputmEnG08 --detac=
h-sign
>
> In particular, I don=E2=80=99t see "-u"s here.

Ah, right.  Since mml-secure-smime-signers was nil for you, then no -u
is added, and gpgsm will (by itself) default to the first certificate in
its store.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 11 Oct 2019 07:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 11 03:29:14 2019
Received: from localhost ([127.0.0.1]:57604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIpMQ-0001sC-1L
	for submit <at> debbugs.gnu.org; Fri, 11 Oct 2019 03:29:14 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iIpMO-0001s0-S2
 for 26587 <at> debbugs.gnu.org; Fri, 11 Oct 2019 03:29:13 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iIpMK-0001nT-WF; Fri, 11 Oct 2019 09:29:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Torsten Bronger <bronger@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN> <87sgo14rmh.fsf@HIDDEN>
 <87y2xtqc3k.fsf@HIDDEN>
Date: Fri, 11 Oct 2019 09:29:08 +0200
In-Reply-To: <87y2xtqc3k.fsf@HIDDEN> (Torsten Bronger's message
 of "Thu, 10 Oct 2019 09:43:59 +0200")
Message-ID: <87tv8foi4b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Torsten Bronger <bronger@HIDDEN> writes: >>
    mml-secure-smime-sign-with-sender defaults to nil, so it's normally not >>
    used. So this returns just the value of mml-secure-smime-signers. >> What's
    that variable for you? > > It’s nil, and if [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Torsten Bronger <bronger@HIDDEN> writes:

>> mml-secure-smime-sign-with-sender defaults to nil, so it's normally not
>> used.  So this returns just the value of mml-secure-smime-signers.
>> What's that variable for you?
>
> It=E2=80=99s nil, and if I set it to t, my problem is gone.  Thank you!
> Strange default, though =E2=80=A6

Yes it is.  Does anybody know why mml-secure-smime-sign-with-sender is
nil?  Having it be t seems like a much more useful (and less surprising)
value.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 10 Oct 2019 07:44:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 10 03:44:06 2019
Received: from localhost ([127.0.0.1]:55008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIT7F-0007IK-OE
	for submit <at> debbugs.gnu.org; Thu, 10 Oct 2019 03:44:06 -0400
Received: from mail-out-1.itc.rwth-aachen.de ([134.130.5.46]:17051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bronger@HIDDEN>) id 1iIT7D-0007Hb-0T
 for 26587 <at> debbugs.gnu.org; Thu, 10 Oct 2019 03:44:04 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2AABQC44J5d/5oagoZlHAEBAQEBBwEBE?=
 =?us-ascii?q?QEEBAEBgXuCIIFAZYQZjlyDDZooCQEBAQEBAQEBAQMEAS0CAQGEQIJXIzgTAgw?=
 =?us-ascii?q?BAQUBAQEBAQUEbYU5hUwGI1YQCyEhAgICDQEEKBsGDoMognexJIEyijIQCQGBK?=
 =?us-ascii?q?oFTijsYgX+BEYJdNT6EW4J3gl4ElUaXfYFFZ4IvgROCMI8nG44IizinYwICAgI?=
 =?us-ascii?q?JAhWBaSKBWDMaCBwUO4JtTxAUkBdAgVsTCwGOMAGBIgEB?=
X-IPAS-Result: =?us-ascii?q?A2AABQC44J5d/5oagoZlHAEBAQEBBwEBEQEEBAEBgXuCIIF?=
 =?us-ascii?q?AZYQZjlyDDZooCQEBAQEBAQEBAQMEAS0CAQGEQIJXIzgTAgwBAQUBAQEBAQUEb?=
 =?us-ascii?q?YU5hUwGI1YQCyEhAgICDQEEKBsGDoMognexJIEyijIQCQGBKoFTijsYgX+BEYJ?=
 =?us-ascii?q?dNT6EW4J3gl4ElUaXfYFFZ4IvgROCMI8nG44IizinYwICAgIJAhWBaSKBWDMaC?=
 =?us-ascii?q?BwUO4JtTxAUkBdAgVsTCwGOMAGBIgEB?=
X-IronPort-AV: E=Sophos;i="5.67,279,1566856800"; 
 d="p7s'?scan'208";a="91964922"
Received: from rwthex-s2-a.rwth-ad.de ([134.130.26.154])
 by mail-in-1.itc.rwth-aachen.de with ESMTP; 10 Oct 2019 09:44:00 +0200
Received: from brad (134.94.16.121) by rwthex-s2-a.rwth-ad.de
 (2a00:8a60:1:e500::26:154) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id 15.1.1779.2; Thu, 10
 Oct 2019 09:44:00 +0200
From: Torsten Bronger <bronger@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
Organization: Phoenix Foundation
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN> <87sgo14rmh.fsf@HIDDEN>
X-PGP-Fingerprint: C5C8 D6E2 79D2 EFE9 8C0F  6D77 D5E3 CEFC 9F51 6B77
X-PGP-Affinity: will accept encrypted message for GPG
X-Home-Page: http://www.wikipedia.org/wiki/User:Bronger
X-Binford: 6100 (more power)
X-Accept-Language: de, en
Jabber-ID: torsten.bronger@HIDDEN
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAHlBMVEWVTEMoFxP8/Pnw4Nn8
 tqbbi3ju7eqxc2XlqJjz8u/LYySDAAACVElEQVR4nF2UMW/bMBCFqUEluokIUGf21i1xArTd
 ilZBM6pICGpMa0C2NiYuQXdrDBNlt0IGDOvf9h1JKUJv0MBPd+/ueEfW9mSPYrTZYk7GwvlK
 TOw8gradOjD67CLA+SmdkmVCnI2hLoUoGOOWDD6zAJoQqWA4k2QKLovkcUQUbo2svfdS6ihC
 HpBgOJeeTCohnpLHShQccfy+LL13iPU6gb8ACFTCbgM4S+ABkaTcl5FMwFrwAK6JEHiVwEkw
 Q+DqKoFB45BA+fk6gqeU7jH7T2M3Vl5wWSeArIpuaOIzgE8ABc6GJr4PoBxANna3yhizdcwK
 zcqKTQQHzTJ0fUv/o+3mkeUD0Bl6DXKT4bK41rwL4gCMfPKywg0ao60l0LQHC8AKm5fKMMtl
 xe33AJZGc5Ybacq6/u2MrIyKHq3VdNk197WTpnaVMqHyplUahXvHHe5wj9JtAs0XTfUpHvvl
 FB/AOyTvXRXBrbRym8AJoJY6d/KeSrdqkzTeKmp7ZaARJOynBLoTg3q1dTK03d7NU6i2R3yv
 f9yQhgvJRo++/wVQ5dJSUnYzHz2OAFJxW1Mo+3MCPoZJN94jKb17Af1FGPbaY6zVBDTHFdpr
 7/e3tAZT0KwZtd7SzCu2eAHtEqFoo1CjnYKm0Rwu+N8pzf50E3DBQyzsE8veYHBGsEZTJDws
 bv+877shq+ah4FuPrYESRrfr5l30aJ8x8J6KKCztOYJFsBQFbZvUGa+w8+28Sxp4SzBYXEOJ
 Xo/iwyD+jd4LehyMDI8HSASXBKhA+TW9Tf4fSktOMtuPmUoAAAAASUVORK5CYII=
Date: Thu, 10 Oct 2019 09:43:59 +0200
Message-ID: <87y2xtqc3k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-="; micalg=sha256;
 protocol="application/pkcs7-signature"
X-Originating-IP: [134.94.16.121]
X-ClientProxiedBy: rwthex-s2-a.rwth-ad.de (2a00:8a60:1:e500::26:154) To
 rwthex-s2-a.rwth-ad.de (2a00:8a60:1:e500::26:154)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hall=C3=B6chen!

Lars Ingebrigtsen writes:

> [...]
>
> Now, for the bug you're seeing...  If I'm tracing the code right (and I
> may well not be), this is what's used to find what name to sign with:
>
> (defun mml-secure-signer-names (protocol sender)
>   "Determine signer names for PROTOCOL and message from SENDER.
> Returned names may be e-mail addresses or key IDs and are determined based
> on `mml-secure-openpgp-signers' and `mml-secure-openpgp-sign-with-sender'=
 with
> OpenPGP or `mml-secure-smime-signers' and `mml-secure-smime-sign-with-sen=
der'
> with S/MIME."
>   (if (eq 'OpenPGP protocol)
>       (append mml-secure-openpgp-signers
> 	      (if (and mml-secure-openpgp-sign-with-sender sender)
> 		  (list (concat "<" sender ">"))))
>     (append mml-secure-smime-signers
> 	    (if (and mml-secure-smime-sign-with-sender sender)
> 		(list (concat "<" sender ">"))))))
>
> mml-secure-smime-sign-with-sender defaults to nil, so it's normally not
> used.  So this returns just the value of mml-secure-smime-signers.
> What's that variable for you?

It=E2=80=99s nil, and if I set it to t, my problem is gone.  Thank you!
Strange default, though =E2=80=A6

Regards,
Torsten.

=2D-=20
Torsten Bronger

--=-=-=
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 10 Oct 2019 06:55:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 10 02:55:40 2019
Received: from localhost ([127.0.0.1]:54970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iISMN-00068c-QK
	for submit <at> debbugs.gnu.org; Thu, 10 Oct 2019 02:55:40 -0400
Received: from mail-out-3.itc.rwth-aachen.de ([134.130.5.48]:16538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bronger@HIDDEN>) id 1iISMK-00068R-9R
 for 26587 <at> debbugs.gnu.org; Thu, 10 Oct 2019 02:55:37 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2AIBQCD1Z5d/5oagoZlHAEBAQEBBwEBE?=
 =?us-ascii?q?QEEBAEBgXuCIIFAWwqEGY5cgg+ZP4FnCQEBAQEBAQEBAQMEAS0CAQGEQAKCVSM?=
 =?us-ascii?q?4EwIMAQEFAQEBAQEFBG2FOYVMAQQBI0oMBQsLIQ0UAgICDQEEKCEOBYMjglcgs?=
 =?us-ascii?q?Q2BMoo3EAkBgSqBU4o7GIF/gRGDEj6EEQESATYxDYI5gl4ErUOBRWeCL4ETgjC?=
 =?us-ascii?q?PJxuOCIs4p2MCAgICCQIVgWkiZ3EzGggcFDuCbFAQFJAXQDKBKRMLAY0OgSIBg?=
 =?us-ascii?q?SIBAQ?=
X-IPAS-Result: =?us-ascii?q?A2AIBQCD1Z5d/5oagoZlHAEBAQEBBwEBEQEEBAEBgXuCIIF?=
 =?us-ascii?q?AWwqEGY5cgg+ZP4FnCQEBAQEBAQEBAQMEAS0CAQGEQAKCVSM4EwIMAQEFAQEBA?=
 =?us-ascii?q?QEFBG2FOYVMAQQBI0oMBQsLIQ0UAgICDQEEKCEOBYMjglcgsQ2BMoo3EAkBgSq?=
 =?us-ascii?q?BU4o7GIF/gRGDEj6EEQESATYxDYI5gl4ErUOBRWeCL4ETgjCPJxuOCIs4p2MCA?=
 =?us-ascii?q?gICCQIVgWkiZ3EzGggcFDuCbFAQFJAXQDKBKRMLAY0OgSIBgSIBAQ?=
Received: from rwthex-s2-a.rwth-ad.de ([134.130.26.154])
 by mail-in-3.itc.rwth-aachen.de with ESMTP; 10 Oct 2019 08:55:34 +0200
Received: from brad (134.94.16.121) by rwthex-s2-a.rwth-ad.de
 (2a00:8a60:1:e500::26:154) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id 15.1.1779.2; Thu, 10
 Oct 2019 08:55:33 +0200
From: Torsten Bronger <bronger@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
Organization: Phoenix Foundation
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN> <87pnj53b2q.fsf@HIDDEN>
X-PGP-Fingerprint: C5C8 D6E2 79D2 EFE9 8C0F  6D77 D5E3 CEFC 9F51 6B77
X-PGP-Affinity: will accept encrypted message for GPG
X-Home-Page: http://www.wikipedia.org/wiki/User:Bronger
X-Binford: 6100 (more power)
X-Accept-Language: de, en
Jabber-ID: torsten.bronger@HIDDEN
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAHlBMVEWVTEMoFxP8/Pnw4Nn8
 tqbbi3ju7eqxc2XlqJjz8u/LYySDAAACVElEQVR4nF2UMW/bMBCFqUEluokIUGf21i1xArTd
 ilZBM6pICGpMa0C2NiYuQXdrDBNlt0IGDOvf9h1JKUJv0MBPd+/ueEfW9mSPYrTZYk7GwvlK
 TOw8gradOjD67CLA+SmdkmVCnI2hLoUoGOOWDD6zAJoQqWA4k2QKLovkcUQUbo2svfdS6ihC
 HpBgOJeeTCohnpLHShQccfy+LL13iPU6gb8ACFTCbgM4S+ABkaTcl5FMwFrwAK6JEHiVwEkw
 Q+DqKoFB45BA+fk6gqeU7jH7T2M3Vl5wWSeArIpuaOIzgE8ABc6GJr4PoBxANna3yhizdcwK
 zcqKTQQHzTJ0fUv/o+3mkeUD0Bl6DXKT4bK41rwL4gCMfPKywg0ao60l0LQHC8AKm5fKMMtl
 xe33AJZGc5Ybacq6/u2MrIyKHq3VdNk197WTpnaVMqHyplUahXvHHe5wj9JtAs0XTfUpHvvl
 FB/AOyTvXRXBrbRym8AJoJY6d/KeSrdqkzTeKmp7ZaARJOynBLoTg3q1dTK03d7NU6i2R3yv
 f9yQhgvJRo++/wVQ5dJSUnYzHz2OAFJxW1Mo+3MCPoZJN94jKb17Af1FGPbaY6zVBDTHFdpr
 7/e3tAZT0KwZtd7SzCu2eAHtEqFoo1CjnYKm0Rwu+N8pzf50E3DBQyzsE8veYHBGsEZTJDws
 bv+877shq+ah4FuPrYESRrfr5l30aJ8x8J6KKCztOYJFsBQFbZvUGa+w8+28Sxp4SzBYXEOJ
 Xo/iwyD+jd4LehyMDI8HSASXBKhA+TW9Tf4fSktOMtuPmUoAAAAASUVORK5CYII=
Date: Thu, 10 Oct 2019 08:55:32 +0200
In-Reply-To: <87pnj53b2q.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed, 9
 Oct 2019 22:42:21 +0200")
Message-ID: <877e5d6qe3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-="; micalg=sha256;
 protocol="application/pkcs7-signature"
X-Originating-IP: [134.94.16.121]
X-ClientProxiedBy: rwthex-s3-a.rwth-ad.de (2a00:8a60:1:e500::26:160) To
 rwthex-s2-a.rwth-ad.de (2a00:8a60:1:e500::26:154)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hall=C3=B6chen!

Lars Ingebrigtsen writes:

> Torsten Bronger <bronger@HIDDEN> writes:
>
>> I would like the second key to be used.  But Gnus signs the email
>> with the first certificate.
>
> If I understand the code correctly, `epg-start-sign' is run here,
> and gpgsm is started with the parameters looking like
>
> "--detach-sign" "-u" "4A44812B553ACE6D" "-u" "4A44812B553ACEetc"
>
> with as many "-u"s as there are in your gpgsm store that matches
> whatever you've set up in that list that lists all your identities
> you want to use.
>
> Could you edebug that function to see if that's really what
> happens?  Because if it is, we're leaving the decision to gpgsm
> itself which user ID to use, and that seems very sub-optimal.

I don=E2=80=99t know how to edebug, so before learning this, I wrote a
wrapper for gpgsm, logging the parameters.  When sending the
message, gpgsm is called once, with the parameters

gpgsm --no-tty --status-fd 1 --yes --output /tmp/epg-outputmEnG08 --detach-=
sign

In particular, I don=E2=80=99t see "-u"s here.

Regards,
Torsten.

=2D-=20
Torsten Bronger

--=-=-=
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
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==
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 9 Oct 2019 20:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 16:42:29 2019
Received: from localhost ([127.0.0.1]:54201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIImy-0003iW-4U
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 16:42:29 -0400
Received: from quimby.gnus.org ([80.91.231.51]:43716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iIImw-0003iN-9n
 for 26587 <at> debbugs.gnu.org; Wed, 09 Oct 2019 16:42:26 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iIIms-0004OC-1R; Wed, 09 Oct 2019 22:42:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Torsten Bronger <bronger@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 22:42:21 +0200
In-Reply-To: <87pnj6s3bj.fsf@HIDDEN> (Torsten Bronger's message
 of "Wed, 9 Oct 2019 10:58:24 +0200")
Message-ID: <87pnj53b2q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Torsten Bronger <bronger@HIDDEN> writes: >
 I would like the second key to be used. But Gnus signs the email > with the
 first certificate. If I understand the code correctly, `epg-start-sign' is
 run here, and gpgsm is started with the parameters looking like 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Torsten Bronger <bronger@HIDDEN> writes:

> I would like the second key to be used.  But Gnus signs the email
> with the first certificate.

If I understand the code correctly, `epg-start-sign' is run here, and
gpgsm is started with the parameters looking like 

"--detach-sign" "-u" "4A44812B553ACE6D" "-u" "4A44812B553ACEetc"

with as many "-u"s as there are in your gpgsm store that matches
whatever you've set up in that list that lists all your identities you
want to use.

Could you edebug that function to see if that's really what happens?
Because if it is, we're leaving the decision to gpgsm itself which user
ID to use, and that seems very sub-optimal.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 9 Oct 2019 19:59:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 15:59:41 2019
Received: from localhost ([127.0.0.1]:54162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iII7Y-0000Yy-KU
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 15:59:40 -0400
Received: from quimby.gnus.org ([80.91.231.51]:42770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iII7X-0000Yq-6n
 for 26587 <at> debbugs.gnu.org; Wed, 09 Oct 2019 15:59:39 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iII7T-0003wv-9t; Wed, 09 Oct 2019 21:59:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Torsten Bronger <bronger@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
 <87pnj6s3bj.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 21:59:34 +0200
In-Reply-To: <87pnj6s3bj.fsf@HIDDEN> (Torsten Bronger's message
 of "Wed, 9 Oct 2019 10:58:24 +0200")
Message-ID: <87sgo14rmh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Torsten Bronger <bronger@HIDDEN> writes: >
 When writing the message, I call (mml-secure-message-sign-smime). > The "From:"
 field contains "Torsten Bronger > <bronger@HIDDEN>". My secret
 keys are: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Torsten Bronger <bronger@HIDDEN> writes:

> When writing the message, I call (mml-secure-message-sign-smime).
> The "From:" field contains "Torsten Bronger
> <bronger@HIDDEN>".  My secret keys are:

OK, my first attempt at this ended up with Message not complaining at
all, but sending out a "signed" message with the following empty
signature:

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s


--=-=-=--

I've now made it bug out if it can't find any identity to sign with.

Now, for the bug you're seeing...  If I'm tracing the code right (and I
may well not be), this is what's used to find what name to sign with:

(defun mml-secure-signer-names (protocol sender)
  "Determine signer names for PROTOCOL and message from SENDER.
Returned names may be e-mail addresses or key IDs and are determined based
on `mml-secure-openpgp-signers' and `mml-secure-openpgp-sign-with-sender' with
OpenPGP or `mml-secure-smime-signers' and `mml-secure-smime-sign-with-sender'
with S/MIME."
  (if (eq 'OpenPGP protocol)
      (append mml-secure-openpgp-signers
	      (if (and mml-secure-openpgp-sign-with-sender sender)
		  (list (concat "<" sender ">"))))
    (append mml-secure-smime-signers
	    (if (and mml-secure-smime-sign-with-sender sender)
		(list (concat "<" sender ">"))))))

mml-secure-smime-sign-with-sender defaults to nil, so it's normally not
used.  So this returns just the value of mml-secure-smime-signers.
What's that variable for you?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 9 Oct 2019 08:58:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 04:58:51 2019
Received: from localhost ([127.0.0.1]:52125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iI7o3-00039k-AM
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 04:58:51 -0400
Received: from mail-out-1.itc.rwth-aachen.de ([134.130.5.46]:38460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bronger@HIDDEN>) id 1iI7o0-00039a-JP
 for 26587 <at> debbugs.gnu.org; Wed, 09 Oct 2019 04:58:50 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2BBBADSoJ1d/5oagoZlHAEBAQEBBwEBE?=
 =?us-ascii?q?QEEBAEBgXuCHoFBWwqSeIIPmT+BZwkBAQEBAQEBAQEHAS0CAQGEQAKCTiM4EwI?=
 =?us-ascii?q?MAQEFAQEBAQEFBG2FOYVLAQEBAQIBeQULCxUCCiUPAQQoEw4OBYUeD68PgieKR?=
 =?us-ascii?q?AkBgSqMDhiBf4ERgxI+hBEBEQIBHoVmBI0FiSGXHYFFZ4IvkmobjgiLOKdjAgI?=
 =?us-ascii?q?CAgkCFYFpImdxMxoIHBQ7gmxQEBSQF0AygSkTCwGOKQGBIgEB?=
X-IPAS-Result: =?us-ascii?q?A2BBBADSoJ1d/5oagoZlHAEBAQEBBwEBEQEEBAEBgXuCHoF?=
 =?us-ascii?q?BWwqSeIIPmT+BZwkBAQEBAQEBAQEHAS0CAQGEQAKCTiM4EwIMAQEFAQEBAQEFB?=
 =?us-ascii?q?G2FOYVLAQEBAQIBeQULCxUCCiUPAQQoEw4OBYUeD68PgieKRAkBgSqMDhiBf4E?=
 =?us-ascii?q?RgxI+hBEBEQIBHoVmBI0FiSGXHYFFZ4IvkmobjgiLOKdjAgICAgkCFYFpImdxM?=
 =?us-ascii?q?xoIHBQ7gmxQEBSQF0AygSkTCwGOKQGBIgEB?=
X-IronPort-AV: E=Sophos;i="5.67,273,1566856800"; d="scan'208";a="91863412"
Received: from rwthex-s2-a.rwth-ad.de ([134.130.26.154])
 by mail-in-1.itc.rwth-aachen.de with ESMTP; 09 Oct 2019 10:58:24 +0200
Received: from brad (134.94.16.121) by rwthex-s2-a.rwth-ad.de
 (2a00:8a60:1:e500::26:154) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id 15.1.1779.2; Wed, 9 Oct
 2019 10:58:24 +0200
From: Torsten Bronger <bronger@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
Organization: Phoenix Foundation
References: <87fuh22dk6.fsf@HIDDEN> <87r241kb4y.fsf@HIDDEN>
X-PGP-Fingerprint: C5C8 D6E2 79D2 EFE9 8C0F  6D77 D5E3 CEFC 9F51 6B77
X-PGP-Affinity: will accept encrypted message for GPG
X-Home-Page: http://www.wikipedia.org/wiki/User:Bronger
X-Binford: 6100 (more power)
X-Accept-Language: de, en
Jabber-ID: torsten.bronger@HIDDEN
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAHlBMVEWVTEMoFxP8/Pnw4Nn8
 tqbbi3ju7eqxc2XlqJjz8u/LYySDAAACVElEQVR4nF2UMW/bMBCFqUEluokIUGf21i1xArTd
 ilZBM6pICGpMa0C2NiYuQXdrDBNlt0IGDOvf9h1JKUJv0MBPd+/ueEfW9mSPYrTZYk7GwvlK
 TOw8gradOjD67CLA+SmdkmVCnI2hLoUoGOOWDD6zAJoQqWA4k2QKLovkcUQUbo2svfdS6ihC
 HpBgOJeeTCohnpLHShQccfy+LL13iPU6gb8ACFTCbgM4S+ABkaTcl5FMwFrwAK6JEHiVwEkw
 Q+DqKoFB45BA+fk6gqeU7jH7T2M3Vl5wWSeArIpuaOIzgE8ABc6GJr4PoBxANna3yhizdcwK
 zcqKTQQHzTJ0fUv/o+3mkeUD0Bl6DXKT4bK41rwL4gCMfPKywg0ao60l0LQHC8AKm5fKMMtl
 xe33AJZGc5Ybacq6/u2MrIyKHq3VdNk197WTpnaVMqHyplUahXvHHe5wj9JtAs0XTfUpHvvl
 FB/AOyTvXRXBrbRym8AJoJY6d/KeSrdqkzTeKmp7ZaARJOynBLoTg3q1dTK03d7NU6i2R3yv
 f9yQhgvJRo++/wVQ5dJSUnYzHz2OAFJxW1Mo+3MCPoZJN94jKb17Af1FGPbaY6zVBDTHFdpr
 7/e3tAZT0KwZtd7SzCu2eAHtEqFoo1CjnYKm0Rwu+N8pzf50E3DBQyzsE8veYHBGsEZTJDws
 bv+877shq+ah4FuPrYESRrfr5l30aJ8x8J6KKCztOYJFsBQFbZvUGa+w8+28Sxp4SzBYXEOJ
 Xo/iwyD+jd4LehyMDI8HSASXBKhA+TW9Tf4fSktOMtuPmUoAAAAASUVORK5CYII=
Date: Wed, 9 Oct 2019 10:58:24 +0200
In-Reply-To: <87r241kb4y.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 27 Sep 2019 17:32:45 +0200")
Message-ID: <87pnj6s3bj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
X-Originating-IP: [134.94.16.121]
X-ClientProxiedBy: rwthex-w3-a.rwth-ad.de (2a00:8a60:1:e500::26:162) To
 rwthex-s2-a.rwth-ad.de (2a00:8a60:1:e500::26:154)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hall=F6chen!

Lars Ingebrigtsen writes:

> Torsten Bronger <bronger@HIDDEN> writes:
>
>> If I have keys for different email addresses in my gpgsm keyring, Gnus
>> signs an outgoing email using S/MIME with the first one listed by "gpgsm
>> --list-secret-keys" instead of the one actually associated with the
>> "From:" mail address.
>
> I'm unable to reproduce this bug.
>
> Could you describe, step by step, how you are composing the message to
> be signed?

When writing the message, I call (mml-secure-message-sign-smime).
The "From:" field contains "Torsten Bronger
<bronger@HIDDEN>".  My secret keys are:

bronger@brad:~/kfa/Zertifikate/juliabase$ gpgsm --list-secret-keys
/home/bronger/.gnupg/pubring.kbx
--------------------------------
           ID: 0x416092ED
          S/N: 1CDCFCFE038E7AD34DF1C3FC
       Issuer: /CN=3DDFN-Verein Global Issuing CA/OU=3DDFN-PKI/O=3DVerein z=
ur Foerderung eines Deutschen Forschungsnetzes e. V./C=3DDE
      Subject: /CN=3DTorsten Bronger/O=3DForschungszentrum Juelich GmbH/C=
=3DDE
          aka: t.bronger@HIDDEN

[...]

           ID: 0x4A86AFDB
          S/N: 213C2509C6CA74A7ED7133B8
       Issuer: /CN=3DDFN-Verein Global Issuing CA/OU=3DDFN-PKI/O=3DVerein z=
ur Foerderung eines Deutschen Forschungsnetzes e. V./C=3DDE
      Subject: /CN=3DTorsten Bronger/OU=3DFachgruppe Physik/O=3DRWTH Aachen=
/C=3DDE
          aka: bronger@HIDDEN
     validity: 2019-07-03 13:02:55 through 2022-07-02 13:02:55
     key type: 2048 bit RSA
    key usage: digitalSignature nonRepudiation keyEncipherment
ext key usage: clientAuth (suggested), emailProtection (suggested)
     policies: 1.3.6.1.4.1.22177.300.1.1.4:N:,1.3.6.1.4.1.22177.300.1.1.4.4=
:N:,1.3.6.1.4.1.22177.300.2.1.4.4:N:
  fingerprint: CD:BF:CA:E9:F3:83:B9:DC:00:E4:A2:B1:8F:D8:E0:78:4A:86:AF:DB

I would like the second key to be used.  But Gnus signs the email
with the first certificate.

Regards,
Torsten.

--=20
Torsten Bronger




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26587 <at> debbugs.gnu.org:


Received: (at 26587) by debbugs.gnu.org; 27 Sep 2019 15:32:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 11:32:55 2019
Received: from localhost ([127.0.0.1]:48455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDsEp-0005RS-9n
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:32:55 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDsEm-0005RF-SF
 for 26587 <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:32:53 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDsEg-00038e-5P; Fri, 27 Sep 2019 17:32:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Torsten Bronger <bronger@HIDDEN>
Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key
References: <87fuh22dk6.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 17:32:45 +0200
In-Reply-To: <87fuh22dk6.fsf@HIDDEN> (Torsten Bronger's message of
 "Fri, 21 Apr 2017 13:41:13 +0200")
Message-ID: <87r241kb4y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Torsten Bronger <bronger@HIDDEN> writes: >
 If I have keys for different email addresses in my gpgsm keyring, Gnus > signs
 an outgoing email using S/MIME with the first one listed by "gpgsm >
 --list-secret-keys" instead of the one actually as [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26587
Cc: 26587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Torsten Bronger <bronger@HIDDEN> writes:

> If I have keys for different email addresses in my gpgsm keyring, Gnus
> signs an outgoing email using S/MIME with the first one listed by "gpgsm
> --list-secret-keys" instead of the one actually associated with the
> "From:" mail address.

I'm unable to reproduce this bug.

Could you describe, step by step, how you are composing the message to
be signed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#26587; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Apr 2017 11:41:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 21 07:41:32 2017
Received: from localhost ([127.0.0.1]:59877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1WwN-00027V-LB
	for submit <at> debbugs.gnu.org; Fri, 21 Apr 2017 07:41:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bronger@HIDDEN>) id 1d1WwL-00027I-Sl
 for submit <at> debbugs.gnu.org; Fri, 21 Apr 2017 07:41:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bronger@HIDDEN>) id 1d1WwE-00038h-Bk
 for submit <at> debbugs.gnu.org; Fri, 21 Apr 2017 07:41:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46266)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bronger@HIDDEN>)
 id 1d1WwE-00038W-8F
 for submit <at> debbugs.gnu.org; Fri, 21 Apr 2017 07:41:22 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41575)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bronger@HIDDEN>) id 1d1WwB-0005rk-MM
 for bug-gnu-emacs@HIDDEN; Fri, 21 Apr 2017 07:41:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bronger@HIDDEN>) id 1d1Ww6-00031U-Nt
 for bug-gnu-emacs@HIDDEN; Fri, 21 Apr 2017 07:41:19 -0400
Received: from mx-out-2.rwth-aachen.de ([134.130.5.187]:1149)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bronger@HIDDEN>)
 id 1d1Ww6-0002vn-4e
 for bug-gnu-emacs@HIDDEN; Fri, 21 Apr 2017 07:41:14 -0400
X-IronPort-AV: E=Sophos;i="5.37,229,1488841200"; 
 d="p7s'?scan'208";a="497888708"
Received: from rwthex-s2-b.rwth-ad.de ([134.130.26.155])
 by mx-2.rz.rwth-aachen.de with ESMTP; 21 Apr 2017 13:40:53 +0200
Received: from wilson (94.114.49.33) by rwthex-s2-b.rwth-ad.de
 (2002:8682:1a9b::8682:1a9b) with Microsoft SMTP Server (TLS) id 15.0.1263.5;
 Fri, 21 Apr 2017 13:40:51 +0200
From: Torsten Bronger <bronger@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 26.0.50; Gnus signs with false S/MIME key
Date: Fri, 21 Apr 2017 13:41:13 +0200
Message-ID: <87fuh22dk6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-="; micalg=sha256;
 protocol="application/pkcs7-signature"
X-Originating-IP: [94.114.49.33]
X-ClientProxiedBy: rwthex-w1-b.rwth-ad.de (2002:8682:1a9d::8682:1a9d) To
 rwthex-s2-b.rwth-ad.de (2002:8682:1a9b::8682:1a9b)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain


If I have keys for different email addresses in my gpgsm keyring, Gnus
signs an outgoing email using S/MIME with the first one listed by "gpgsm
--list-secret-keys" instead of the one actually associated with the
"From:" mail address.


In GNU Emacs 26.0.50.1 (x86_64-pc-linux-gnu)
 of 2017-03-20 built on wilson
Repository revision: 09d50834206ff48bf6ac214e8cfb31d281ba993c
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Ubuntu 16.04.2 LTS

Recent messages:
Auto-saving...done
Deleting article 41027 in inbox
Saving file /home/bronger/.newsrc...
Wrote /home/bronger/.newsrc
Saving /home/bronger/.newsrc.eld...
Saving file /home/bronger/.newsrc.eld...
Wrote /home/bronger/.newsrc.eld
Saving /home/bronger/.newsrc.eld...done
delete-backward-char: Text is read-only [2 times]
Making completion list...

Configured using:
 'configure --prefix=/usr/local/ --mandir=/usr/local/share/man/
 --infodir=/usr/local/share/info/ --with-x-toolkit=no --without-makeinfo
 --with-xpm --with-jpeg --with-tiff --with-gif --with-png --with-x'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS NOTIFY GNUTLS LIBXML2
FREETYPE XFT ZLIB X11

Important settings:
  value of $EMACSLOADPATH: /home/bronger/.emacs.d/lisp:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  global-auto-revert-mode: t
  shell-dirtrack-mode: t
  savehist-mode: t
  desktop-save-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Load-path shadows:
/home/bronger/.emacs.d/lisp/visual-basic-mode hides /home/bronger/.emacs.d/lisp/nxhtml/related/visual-basic-mode
/home/bronger/.emacs.d/lisp/yasnippet/snippets/fundamental-mode/.yas-setup hides /home/bronger/.emacs.d/lisp/yasnippet/snippets/prog-mode/.yas-setup
/home/bronger/.emacs.d/lisp/yasnippet/snippets/fundamental-mode/.yas-setup hides /home/bronger/.emacs.d/lisp/yasnippet/snippets/python-mode/.yas-setup
/home/bronger/.emacs.d/lisp/yasnippet/snippets/fundamental-mode/.yas-setup hides /home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/html-mode/.yas-setup
/home/bronger/.emacs.d/lisp/yasnippet/snippets/fundamental-mode/.yas-setup hides /home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/objc-mode/.yas-setup
/home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/html-mode/.yasmate-extra-substitutions hides /home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/rails-mode/.yasmate-extra-substitutions
/home/bronger/.emacs.d/lisp/yasnippet/snippets/fundamental-mode/.yas-setup hides /home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/rails-mode/.yas-setup
/home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/html-mode/.yasmate-extra-substitutions hides /home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/ruby-mode/.yasmate-extra-substitutions
/home/bronger/.emacs.d/lisp/yasnippet/snippets/fundamental-mode/.yas-setup hides /home/bronger/.emacs.d/lisp/yasnippet/yasmate/snippets/ruby-mode/.yas-setup
/home/bronger/.emacs.d/lisp/mmm/mmm-noweb hides /usr/local/share/emacs/site-lisp/mmm-noweb
/home/bronger/.emacs.d/lisp/po-mode hides /usr/local/share/emacs/site-lisp/po-mode
/home/bronger/.emacs.d/lisp/mmm/mmm-erb hides /usr/local/share/emacs/site-lisp/mmm-erb
/home/bronger/.emacs.d/lisp/browse-kill-ring hides /usr/local/share/emacs/site-lisp/browse-kill-ring
/home/bronger/.emacs.d/lisp/mmm/mmm-vars hides /usr/local/share/emacs/site-lisp/mmm-vars
/home/bronger/.emacs.d/lisp/mmm/mmm-cweb hides /usr/local/share/emacs/site-lisp/mmm-cweb
/home/bronger/.emacs.d/lisp/mmm/mmm-auto hides /usr/local/share/emacs/site-lisp/mmm-auto
/home/bronger/.emacs.d/lisp/mmm/mmm-rpm hides /usr/local/share/emacs/site-lisp/mmm-rpm
/home/bronger/.emacs.d/lisp/mmm/mmm-univ hides /usr/local/share/emacs/site-lisp/mmm-univ
/home/bronger/.emacs.d/lisp/mmm/mmm-mode hides /usr/local/share/emacs/site-lisp/mmm-mode
/home/bronger/.emacs.d/lisp/mmm/mmm-sample hides /usr/local/share/emacs/site-lisp/mmm-sample
/home/bronger/.emacs.d/lisp/mmm/mmm-region hides /usr/local/share/emacs/site-lisp/mmm-region
/home/bronger/.emacs.d/lisp/mmm/mmm-class hides /usr/local/share/emacs/site-lisp/mmm-class
/home/bronger/.emacs.d/lisp/auctex hides /usr/local/share/emacs/site-lisp/auctex
/home/bronger/.emacs.d/lisp/mmm/mmm-cmds hides /usr/local/share/emacs/site-lisp/mmm-cmds
/home/bronger/.emacs.d/lisp/mmm/mmm-compat hides /usr/local/share/emacs/site-lisp/mmm-compat
/home/bronger/.emacs.d/lisp/mmm/mmm-utils hides /usr/local/share/emacs/site-lisp/mmm-utils
/home/bronger/.emacs.d/lisp/mmm/mmm-mason hides /usr/local/share/emacs/site-lisp/mmm-mason
/home/bronger/.emacs.d/lisp/mmm/mmm-myghty hides /usr/local/share/emacs/site-lisp/mmm-myghty
/home/bronger/.emacs.d/lisp/tex-site hides /usr/local/share/emacs/site-lisp/tex-site
/home/bronger/.emacs.d/lisp/preview-latex hides /usr/local/share/emacs/site-lisp/preview-latex
/home/bronger/.emacs.d/lisp/bbdb/bbdb-xemacs hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-xemacs
/home/bronger/.emacs.d/lisp/bbdb/bbdb hides /usr/local/share/emacs/site-lisp/bbdb/bbdb
/home/bronger/.emacs.d/lisp/bbdb/bbdb-whois hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-whois
/home/bronger/.emacs.d/lisp/bbdb/bbdb-gnus hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-gnus
/home/bronger/.emacs.d/lisp/bbdb/bbdb-sc hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-sc
/home/bronger/.emacs.d/lisp/bbdb/bbdb-merge hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-merge
/home/bronger/.emacs.d/lisp/bbdb/bbdb-autoloads hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-autoloads
/home/bronger/.emacs.d/lisp/bbdb/bbdb-hooks hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-hooks
/home/bronger/.emacs.d/lisp/bbdb/bbdb-com hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-com
/home/bronger/.emacs.d/lisp/bbdb/bbdb-print hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-print
/home/bronger/.emacs.d/lisp/bbdb/bbdb-migrate hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-migrate
/home/bronger/.emacs.d/lisp/bbdb/bbdb-reportmail hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-reportmail
/home/bronger/.emacs.d/lisp/bbdb/bbdb-vm hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-vm
/home/bronger/.emacs.d/lisp/bbdb/bbdb-gui hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-gui
/home/bronger/.emacs.d/lisp/bbdb/bbdb-ftp hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-ftp
/home/bronger/.emacs.d/lisp/bbdb/bbdb-w3 hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-w3
/home/bronger/.emacs.d/lisp/bbdb/bbdb-srv hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-srv
/home/bronger/.emacs.d/lisp/bbdb/bbdb-snarf hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-snarf
/home/bronger/.emacs.d/lisp/bbdb/bbdb-rmail hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-rmail
/home/bronger/.emacs.d/lisp/bbdb/bbdb-mhe hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-mhe
/home/bronger/.emacs.d/lisp/w3m/w3m-cookie hides /usr/local/share/emacs/site-lisp/w3m/w3m-cookie
/home/bronger/.emacs.d/lisp/w3m/w3m-bug hides /usr/local/share/emacs/site-lisp/w3m/w3m-bug
/home/bronger/.emacs.d/lisp/w3m/bookmark-w3m hides /usr/local/share/emacs/site-lisp/w3m/bookmark-w3m
/home/bronger/.emacs.d/lisp/w3m/w3m-symbol hides /usr/local/share/emacs/site-lisp/w3m/w3m-symbol
/home/bronger/.emacs.d/lisp/w3m/w3m-bookmark hides /usr/local/share/emacs/site-lisp/w3m/w3m-bookmark
/home/bronger/.emacs.d/lisp/w3m/w3m-mail hides /usr/local/share/emacs/site-lisp/w3m/w3m-mail
/home/bronger/.emacs.d/lisp/w3m/w3m-session hides /usr/local/share/emacs/site-lisp/w3m/w3m-session
/home/bronger/.emacs.d/lisp/w3m/w3m-lnum hides /usr/local/share/emacs/site-lisp/w3m/w3m-lnum
/home/bronger/.emacs.d/lisp/w3m/w3m-util hides /usr/local/share/emacs/site-lisp/w3m/w3m-util
/home/bronger/.emacs.d/lisp/w3m/w3m hides /usr/local/share/emacs/site-lisp/w3m/w3m
/home/bronger/.emacs.d/lisp/w3m/w3m-search hides /usr/local/share/emacs/site-lisp/w3m/w3m-search
/home/bronger/.emacs.d/lisp/w3m/w3m-image hides /usr/local/share/emacs/site-lisp/w3m/w3m-image
/home/bronger/.emacs.d/lisp/w3m/w3m-load hides /usr/local/share/emacs/site-lisp/w3m/w3m-load
/home/bronger/.emacs.d/lisp/w3m/w3m-dtree hides /usr/local/share/emacs/site-lisp/w3m/w3m-dtree
/home/bronger/.emacs.d/lisp/w3m/w3m-ccl hides /usr/local/share/emacs/site-lisp/w3m/w3m-ccl
/home/bronger/.emacs.d/lisp/w3m/w3m-weather hides /usr/local/share/emacs/site-lisp/w3m/w3m-weather
/home/bronger/.emacs.d/lisp/w3m/w3m-tabmenu hides /usr/local/share/emacs/site-lisp/w3m/w3m-tabmenu
/home/bronger/.emacs.d/lisp/w3m/w3m-form hides /usr/local/share/emacs/site-lisp/w3m/w3m-form
/home/bronger/.emacs.d/lisp/w3m/w3m-perldoc hides /usr/local/share/emacs/site-lisp/w3m/w3m-perldoc
/home/bronger/.emacs.d/lisp/w3m/w3m-namazu hides /usr/local/share/emacs/site-lisp/w3m/w3m-namazu
/home/bronger/.emacs.d/lisp/w3m/w3m-rss hides /usr/local/share/emacs/site-lisp/w3m/w3m-rss
/home/bronger/.emacs.d/lisp/w3m/w3m-favicon hides /usr/local/share/emacs/site-lisp/w3m/w3m-favicon
/home/bronger/.emacs.d/lisp/w3m/mime-w3m hides /usr/local/share/emacs/site-lisp/w3m/mime-w3m
/home/bronger/.emacs.d/lisp/w3m/w3m-antenna hides /usr/local/share/emacs/site-lisp/w3m/w3m-antenna
/home/bronger/.emacs.d/lisp/w3m/w3m-hist hides /usr/local/share/emacs/site-lisp/w3m/w3m-hist
/home/bronger/.emacs.d/lisp/w3m/w3m-filter hides /usr/local/share/emacs/site-lisp/w3m/w3m-filter
/home/bronger/.emacs.d/lisp/w3m/w3m-proc hides /usr/local/share/emacs/site-lisp/w3m/w3m-proc
/home/bronger/.emacs.d/lisp/w3m/octet hides /usr/local/share/emacs/site-lisp/w3m/octet
/home/bronger/.emacs.d/lisp/w3m/w3m-ucs hides /usr/local/share/emacs/site-lisp/w3m/w3m-ucs
/home/bronger/.emacs.d/lisp/w3m/mew-w3m hides /usr/local/share/emacs/site-lisp/w3m/mew-w3m
/home/bronger/.emacs.d/lisp/w3m/w3m-ems hides /usr/local/share/emacs/site-lisp/w3m/w3m-ems
/home/bronger/.emacs.d/lisp/w3m/w3m-fb hides /usr/local/share/emacs/site-lisp/w3m/w3m-fb

Features:
(shadow emacsbug gnus-picon smiley mm-archive gnus-async gnus-bcklg qp
gnus-ml disp-table mailalias smtpmail sendmail sort bbdb-gui gnus-cite
nnir nndraft nnmh gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg nnml nnfolder gnus-cache bbdb-gnus bbdb-snarf mail-extr
bbdb-com warnings network-stream nsm starttls nntp gnus-topic add-log
gmane gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls
gnutls utf7 netrc nnoo gnus-spec gnus-int gnus-range message rfc822 mml
mml-sec epa epg mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader gnus-win vc-cvs go-oracle flyspell
ispell js moz imenu cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs css-mode eww puny mm-url gnus
nnheader url-queue shr svg hideshow conf-mode python tramp-sh json map
rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc rng-uri
rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-mode nxml-outln nxml-rap sgml-mode dom nxml-util nxml-enc xmltok
dired-aux vc-git diff-mode reftex-dcr reftex reftex-loaddefs reftex-vars
font-latex latexenc darkroom cql-mode sql view rust-mode swift-mode
go-errcheck go-mode url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap find-file ffap
thingatpt etags xref project yaml-mode dockerfile-mode derived rx
sh-script smie executable dired-x adaptive-wrap vc-dispatcher vc-bzr
org-element org-rmail org-mhe org-irc org-info org-gnus gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils org-docview
org-bibtex bibtex org-bbdb org-w3m org-agenda ob-python org org-macro
org-footnote org-pcomplete org-list org-faces org-entities noutline
outline org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs find-func server w3m browse-url doc-view subr-x jka-compr
dired dired-loaddefs image-mode w3m-hist w3m-fb bookmark-w3m w3m-ems
wid-edit w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util rst compile
browse-kill-ring mmm-mode mmm-univ mmm-class mmm-region mmm-auto
mmm-vars mmm-utils mmm-compat cl bbdb-autoloads bbdb timezone cal-china
lunar solar cal-dst cal-bahai cal-islam cal-hebrew holidays hol-loaddefs
appt diary-lib diary-loaddefs cal-menu calendar cal-loaddefs preview
prv-emacs info reporter latex easy-mmode tex-style tex-buf tex dbus xml
mm-util mail-prsvr autorevert filenotify preview-latex tex-site
auto-loads edmacro kmacro tramp tramp-compat tramp-loaddefs trampver
ucs-normalize shell pcomplete comint ansi-color ring parse-time
format-spec advice savehist desktop frameset delsel cus-start cus-load
finder-inf package epg-config url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars seq
byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu cconv
cl-loaddefs pcase cl-lib time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting x multi-tty make-network-process emacs)

Memory information:
((conses 16 827570 68035)
 (symbols 48 59127 78)
 (miscs 40 16680 401)
 (strings 32 160272 39554)
 (string-bytes 1 5061174)
 (vectors 16 80094)
 (vector-slots 8 1328229 12278)
 (floats 8 1925 456)
 (intervals 56 27729 0)
 (buffers 976 395)
 (heap 1024 89063 16386))

-- 
Torsten Bronger

--=-=-=
Content-Type: application/pkcs7-signature; name="smime.p7s"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="smime.p7s"
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==
--=-=-=--




Acknowledgement sent to Torsten Bronger <bronger@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26587; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.